API Reference
Clone a task
POST
/api/tasks/{id}/clone
Clone a task
Operation IDcloneTask
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Path parameters
idintegerrequiredResource ID
Request body
Content typeapplication/json
requestobject2 properties
namestringdescriptionstringSuccess response body
201Cloned task
Cloned task
Content typeapplication/json
responseobject7 properties
idintegernamestringdescriptionstring | nullcurrent_versionintegerstatusstringcreated_atstring · date-timeupdated_atstring · date-timeError responses
400Validation error
Validation error
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "VALIDATION_ERROR",
"message": "Invalid input"
}404Resource not found
Resource not found
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "NOT_FOUND",
"message": "Resource not found"
}